ScXMLEltReader(3)

NAME
ScXMLEltReader - base class for element reader objects

SYNOPSIS

#include <Inventor/scxml/ScXMLElt.h>

  Public Member Functions
ScXMLEltReader (const char *eltname)
virtual ScXMLElt * read (ScXMLElt *container, cc_xml_elt *elt, ScXMLDocument *doc, ScXMLStateMachine *sm)=0

  Protected Member Functions
void setXMLAttributes (ScXMLElt *scxmlelt, cc_xml_elt *xmlelt)

  Protected Attributes
const char * element

Detailed Description

base class for element reader objects

Since
    Coin 3.1

Author

Generated automatically by Doxygen for Coin from the source code.